Summary: Command line control utility for xmms
Name: xmmsctrl
Version: 1.8
Release: 11%{?dist}
URL: http://www.docs.uu.se/~adavid
Source0: http://user.it.uu.se/~adavid/utils/%{name}-%{version}.tar.gz
Patch0: xmmsctrl-no-strip.patch
License: GPLv2
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: xmms
BuildRequires: xmms-devel

%description
xmmsctrl is a small utility to control xmms from the command line. Its
goal is to be used coupled with sh to test xmms state and perform an
appropriate action, e.g. if playing then pause else play. The interest
of this is to bind keys in a window manager to have control over xmms
with keys that do play/next/pause, prev, control sound...

%prep
%setup -q
%patch0 -p2 -b .nostrip
chmod 0644 samples/*

%build
make %{?_smp_mflags} WARN="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
install -m 755  %{name} ${RPM_BUILD_ROOT}/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changelog README HELP samples
%{_bindir}/xmmsctrl

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 28 2008 Orcan Ogetbil <orcanbahri[AT]yahoo[DOT]com> - 1.8-4
- Changed the type of RPM_OPT_FLAGS from CFLAGS to WARN

* Sat Sep 27 2008 Orcan Ogetbil <orcanbahri[AT]yahoo[DOT]com> - 1.8-3
- Added DistTag
- Removed ExclusiveArch
- Changed 0444 file permissions to 0644
- Changed %%defattr to (-,root,root,-)
- Honored Fedora specific compilation flags
- Support parallel make

* Mon Sep 22 2008 Orcan Ogetbil <orcanbahri[AT]yahoo[DOT]com> - 1.8-2
- Repack for Fedora
- Don't strip the binary patch

* Mon Feb 18 2002 Jan IVEN <jan.iven@cern.ch> - 1.8-1
- Initial build.


